Bug 9763 - Changing asciitilde to dead_tilde in spanish keyboard
Summary: Changing asciitilde to dead_tilde in spanish keyboard
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: All All
: medium normal
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-25 17:45 UTC by Piter PUNK
Modified: 2008-05-11 08:25 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Piter PUNK 2007-01-25 17:45:55 UTC
I got one spanish keyboard. It has all the needed deadkeys to write in portuguese (my native language) but doesn't have the dead_tilde. The ~ engraved in keyboard gives asciitilde.

Looking in the net, I can saw the ~ in [4$~] key act as dead_tilde in Windows:
http://listas.fi.uba.ar/pipermail/lug/2005-November/020940.html

People teaching spanish shows ~ in [4$~] key as dead_tilde:
http://library.reed.edu/lang/spanishkeyboard.html

And IBM international keyboard maps shows the ~ in [4$~] as dead_tilde:
http://www-306.ibm.com/software/globalization/topics/keyboards/KBD173.jsp

I'll attach a patch to change the behavior of ~ in [4$~] key to dead_tilde
and adding the same key with asciitilde in nodeadkeys variant.
Comment 1 Piter PUNK 2007-01-25 18:00:42 UTC
For some stupid reason, always i try to send the patch the bugzilla says
the file is empty. I am posting here one URL where the patch can be found:

http://piterpunk.info02.com.br/spanish-dead_tilde.patch

Maybe is some problem with seamonkey... i don't know.
I'll try to post the patch as attachment later. But it can be viewed
and analyzed in the URL.
Comment 2 Sergey V. Udaltsov 2007-01-26 08:58:19 UTC
Peter, it really seems bugzilla's patch machinery is broken. Anyway, I'll have a look at the patch ASAP.
Comment 3 Sergey V. Udaltsov 2007-01-26 15:02:21 UTC
thanks, committed!
Comment 4 Albert Astals Cid 2008-03-23 10:03:05 UTC
I disagree with this change, if you need to type in portuguese use the portuguese keymap, not the spanish one, besides:

Point one "acting as windows":
 - Windows should not be a reference font
 - And we don't act like windows anyway, pressing twice AltGR+4 gives you one "~" using xkb while gives you two in Windows

Point two "Reed college"
 - No offense to the Reed college, but i don't accept it as a valid font

Point three "IBM"
 - IBM is a better reference than "Reed college" but if you see IBM says that AltGR+Ñ does nothing while currently it writes a ~ in xkb

My main point is, there is no need for a dead ~ in spanish keyboard as there's no character that needs it, and we all know ~ in the shell is quite used so you "broke" shell usage for all spaniards.
Comment 5 Sergey V. Udaltsov 2008-03-23 10:11:28 UTC
Lads, I am leaving it as it is now - till you agree on some common POV. Piter, what do you think about these reasonable objections?
Comment 6 Piter PUNK 2008-03-23 16:41:13 UTC
Hmmm, I think the keyboard behavior need to be most "common" as possible. That's why, before propose the change, i search in internet to see another references. If it's a dead key in Windows and in IBM references i think this is a common behavior. 

Besides older versions of xkeyboard, there is another place with ~ don't being a dead key? I'm not a spanish native speaker/writer and found very illogical that all dead keys are in keyboard but not dead_tilde (and that is printed in keyboard). That start my search for what is the common behavior. If most spanish users wants it reverted, i don't have problems with it. But, I think most users first knows the windows behavior...
Comment 7 Sergey V. Udaltsov 2008-03-24 02:01:28 UTC
May I suggest one thing? If there is some Spanish linux user forum, could you organize some voting whether tilda should be dead or not - and wait for the results? It would not be a decisive argument - but very strong one, I guess. When it happens - please post a link here.
Comment 8 Albert Astals Cid 2008-04-22 13:20:32 UTC
What about http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477197 ?
Comment 9 Sergey V. Udaltsov 2008-04-22 13:40:07 UTC
Impressive, but not conclusive (happy people did not visit that bug, apparently:)

I'd prefer voting.
Comment 10 Albert Astals Cid 2008-04-22 13:42:12 UTC
are you saying all people that voted there are sad? really? should i get angry now? And how's that not a voting? i see 13-0 there.
Comment 11 Sergey V. Udaltsov 2008-04-22 13:56:10 UTC
I do not know about "sad". I am saying that if some person is happy with the dead key - it does not lookup for that bug (unless he is subscribed to all bugs of that kind/product/component/...). But people who want dead key not to be dead - are actively looking for something about that problem. Does it make sense? Yes, the number of people is an indicator, ok.

Please do not get angry:) Let's continue civilized discussion, if you don't mind. Would you be able to organize voting on some Linux forum?
Comment 12 Albert Astals Cid 2008-04-22 14:06:40 UTC
I blogged on planet.kde.org, that's where all that people comes from, if you look you'll see i opened the bug yesterday, you really think debian has so many sad users that go looking for that bug?

So how do i know you'll accept the linux forum users as non-sad?
Comment 13 Eduardo Durany 2008-04-22 15:33:06 UTC
"Impressive, but not conclusive (happy people did not visit that bug,
apparently:)

I'd prefer voting."

Happy people dont send bugs on fd.o so behaviour of spanish keyboard was ok.

I think the results of the voting are: 13 (debian bug)  - 1 (fd.o bug sender).

If you want public voting, Piter PUNK should conduct the vote, and not an exhappy Spanish.

Please revert the patch. Spanish keyboard should match spanish people needs, not japan people needs. Thanks.
Comment 14 Piter PUNK 2008-04-22 18:05:26 UTC
> Please revert the patch. Spanish keyboard should match spanish people needs,
> not japan people needs. Thanks.

I agree.

I think the spanish users made very clear what is expected by Linux spanish users. I still think the best is keep the keyboard map close to Windows keyboard map. But i don't want to rule about other country practice. I only try to be logical. Spanish don't use ^ and ` and they are dead keys.

But, many times logic isn't what we wan't -;) Many portuguese speakers hates that in default GTK Input Method using ' and c gives a ć (logical). We prefer ' and c being a ç (and yes, i really hate using altgr+, and c).

Sergey, revert the change. If sometime we got spanish speakers wanting this change the bug will be re-opened.

 

Comment 15 Sergey V. Udaltsov 2008-04-22 23:57:57 UTC
I am cordially glad we got consensus here! I'll revert the patch. Sorry if I sounded stubborn...
Comment 16 Sergey V. Udaltsov 2008-04-23 11:12:21 UTC
Reverted!
Comment 17 Alejandro Riveira 2008-05-11 08:25:14 UTC
I just come here as spanish user to cast my vote to revert to old
behavior FWIW

Many thanks for the hard work!!

 


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.